Subject: Re: xisp patches for gcc3
To: Jeremy C. Reed <>
From: Manuel Bouyer <>
List: tech-pkg
Date: 10/18/2003 23:56:41
On Sat, Oct 18, 2003 at 01:06:49PM -0700, Jeremy C. Reed wrote:
> On Sat, 18 Oct 2003, Manuel Bouyer wrote:
> > xisp needs the attached patch to bild on gcc3 (it's just a varargs->stdarg
> > conversion). I don't think it can cause problems on other systems, as
> > they all should have stdarg too (solaris9 and linux redhat7 have it,
> > and seems to be available on NetBSD since 0.8).
> > I checked that xisp can still connect.
> >
> > Should I commit this ?
> I also have a PR 19566 that I was told I could commit but didn't do yet
> It upgrades to 2.7. But now should be redone for 2.7p1. (If I recall, I
> did my testing with gcc 3.x.x.)

The question is then what is more appropriate for the freese: update
the package, or just patch the existing one so it builds on current.

If update to 2.7p1 is the way to go I'll be happy to test patches.

Manuel Bouyer <>
     NetBSD: 24 ans d'experience feront toujours la difference